Bug 203897 - Only delete orphaned ext3 inodes if they've got a non-zero nlink
Summary: Only delete orphaned ext3 inodes if they've got a non-zero nlink
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Howells
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-24 10:28 UTC by David Howells
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 03:23:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
EXT3: Only delete orphaned inodes if they've got a non-zero nlink (348 bytes, patch)
2006-08-24 10:28 UTC, David Howells
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0304 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 5 2007-04-28 18:58:50 UTC

Description David Howells 2006-08-24 10:28:30 UTC
Orphaned inodes should only be deleted if their nlink has reached zero.

Without this patch, doing direct I/O on a deleted file is likely to go wrong 
when the backing file is deleted before it is actually finished with.

This change is applied upstream.

Comment 1 David Howells 2006-08-24 10:28:31 UTC
Created attachment 134798 [details]
EXT3: Only delete orphaned inodes if they've got a non-zero nlink

Comment 3 Jason Baron 2006-10-12 16:18:00 UTC
committed in stream U5 build 42.18. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 6 Red Hat Bugzilla 2007-05-08 03:23:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html


Note You need to log in before you can comment on or make changes to this bug.